Subject: Re: [PATCH AUTOSEL 5.5 006/106] net/mlx5e: Enforce setting of a single FEC mode

From: Sasha Levin <[email-masked]>
Date: Sat, 18 Apr 2020 17:20:44 -0400

On Sat, Apr 18, 2020 at 10:52:59PM +0300, Or Gerlitz wrote:
>On Thu, Apr 16, 2020 at 2:56 AM Sasha Levin <[email-masked]> wrote:
>> From: Aya Levin <[email-masked]>
>> [ Upstream commit 4bd9d5070b92da012f2715cf8e4859acb78b8f35 ]
>>
>> Ethtool command allow setting of several FEC modes in a single set
>> command. The driver can only set a single FEC mode at a time. With this
>> patch driver will reply not-supported on setting several FEC modes.
>>
>> Signed-off-by: Aya Levin <[email-masked]>
>> Signed-off-by: Saeed Mahameed <[email-masked]>
>> Signed-off-by: Sasha Levin <[email-masked]>
>> ---
>>  drivers/net/ethernet/mellanox/mlx5/core/en_ethtool.c | 4 ++++
>
>Haven't we agreed that drivers/net/ethernet/mellanox/mlx5 is not
>subject to autosel anymore?!

On Thu, Apr 16, 2020 at 09:08:06PM +0000, Saeed Mahameed wrote:
>Please don't opt mlx5 out just yet ;-), i need to do some more research
>and make up my mind..

It would be awesome if the Mellanox folks could agree between
themselves whether they want it or not and let us know which option they
pick.

Again, I really don't care whether mlx5 is opted out or not, I'm not
going to argue with anyone if you want to opt out, I just want to know
whether you're out or not :)

-- 
Thanks,
Sasha